Last Comment Bug 547537 - Browser cache not saved anymore, (profile related...)
: Browser cache not saved anymore, (profile related...)
Status: VERIFIED FIXED
[fixed by bug 531801]
: regression
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 Windows XP
: -- major (vote)
: seamonkey2.1a1
Assigned To: Christian :Biesinger (don't email me, ping me on IRC)
:
:
Mentors:
Depends on:
Blocks: 531801
  Show dependency treegraph
 
Reported: 2010-02-21 03:45 PST by Sven Grull
Modified: 2012-03-29 02:12 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Sven Grull 2010-02-21 03:45:21 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a2pre) Gecko/20100221 Lightning/1.1a1pre SeaMonkey/2.1a1pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a2pre) Gecko/20100221 Lightning/1.1a1pre SeaMonkey/2.1a1pre

The browser cache is not saved to disk anymore with SeaMonkey tinderbox trunk builds. There are no files saved to the cache folder in my profile while browsing.
This also happens in safe-mode. Firefox tinderbox trunk builds are not affected.

Reproducible: Always
Comment 1 Sven Grull 2010-02-21 08:17:16 PST
Regression window:
last good:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a2pre) Gecko/20100212 Lightning/1.1a1pre SeaMonkey/2.1a1pre

first bad:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a2pre) Gecko/20100213 Lightning/1.1a1pre SeaMonkey/2.1a1pre

The only files that are created in the cache folder starting with 20100213 are _CACHE_001_ _CACHE_002_ _CACHE_003_ and _CACHE_MAP_
Comment 3 Serge Gautherie (:sgautherie) 2010-02-24 23:52:25 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a2pre) Gecko/20100220 SeaMonkey/2.1a1pre] (nightly) (W2Ksp4)

With a new profile, I got the 4 '_CACHE_*_' files + a few cache files like '4307F78Cd01'.
WorksForMe...

Could you double-check and provide more details as needed?
Comment 4 Sven Grull 2010-03-06 03:44:31 PST
I just did another try with tinderbox build Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a3pre) Gecko/20100305 Lightning/1.1a1pre SeaMonkey/2.1a1pre
I still see the same behavior there are no cache entries saved. I tried to change the cache prefs but that had no effect.
Also in safe-mode there are no files written to the cache. I checked this also via about:cache. Number of entries for disk cache is always 0.
With a new profile the files are saved to browser cache. 
Going back to 20100212 the problem is gone again and files are saved to cache with my old profile.
Comment 5 Serge Gautherie (:sgautherie) 2010-03-06 04:10:57 PST
(In reply to comment #4)
> With a new profile the files are saved to browser cache. 

Ah! (NB: You're supposed to check that when filing bugs...)
From comment 2, only bug 531801 would seem related!?
Please, test (with a new profile) to find out what is triggering this bug in your usual profile.
Comment 6 Sven Grull 2010-03-06 04:26:47 PST
(In reply to comment #5)

> From comment 2, only bug 531801 would seem related!?
> Please, test (with a new profile) to find out what is triggering this bug in
> your usual profile.

This bug indeed depends on bug 531801. Setting browser.cache.disk_cache_ssl to true solves the problem with my old profile and files are saved to disk again, both http and https based files.
Comment 7 Sven Grull 2010-03-06 04:44:40 PST
This problem does only happen with SeaMonkey. My profile for Firefox trunk has also set browser.cache.disk_cache_ssl to false and files are saved to disk cache.
Comment 8 Boris Zbarsky [:bz] (still a bit busy) 2010-03-08 16:53:06 PST
Fixed by followup checkin for bug 531801.
Comment 9 Sven Grull 2010-03-09 10:40:10 PST
Verified fixed with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a3pre) Gecko/20100309 Lightning/1.1a1pre SeaMonkey/2.1a1pre

Note You need to log in before you can comment on or make changes to this bug.